authselect-compat-1.0.1-2.fc29.i686.rpm


Advertisement

Description

authselect-compat - Tool to provide minimum backwards compatibility with authconfig

Property Value
Distribution Fedora 29
Repository Fedora i386
Package filename authselect-compat-1.0.1-2.fc29.i686.rpm
Package name authselect-compat
Package version 1.0.1
Package release 2.fc29
Package architecture i686
Package type rpm
Homepage https://github.com/pbrezina/authselect
License GPLv3+
Maintainer -
Download size 33.54 KB
Installed size 81.12 KB
This package will replace /usr/sbin/authconfig with a tool that will
translate some of the authconfig calls into authselect calls. It provides
only minimum backward compatibility and users are encouraged to migrate
to authselect completely.

Alternatives

Package Version Architecture Repository
authselect-compat-1.0.4-1.fc29.x86_64.rpm 1.0.4 x86_64 Fedora Updates
authselect-compat-1.0.4-1.fc29.i686.rpm 1.0.4 i686 Fedora Updates
authselect-compat-1.0.1-2.fc29.x86_64.rpm 1.0.1 x86_64 Fedora
authselect-compat - - -

Requires

Name Value
/usr/bin/python3 -
authselect(x86-32) = 1.0.1-2.fc29
python(abi) = 3.7
sed -

Provides

Name Value
authconfig -
authselect-compat = 1.0.1-2.fc29
authselect-compat(x86-32) = 1.0.1-2.fc29

Obsoletes

Name Value
authconfig < 7.0.1-6

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package authselect-compat-1.0.1-2.fc29.i686.rpm
Source Package authselect-1.0.1-2.fc29.src.rpm

Install Howto

Install authselect-compat rpm package:

# dnf install authselect-compat

Files

Path
/usr/lib/python3.7/site-packages/authselect/authcompat.py
/usr/lib/python3.7/site-packages/authselect/authcompat_ConfigSnippet.py
/usr/lib/python3.7/site-packages/authselect/authcompat_EnvironmentFile.py
/usr/lib/python3.7/site-packages/authselect/authcompat_Options.py
/usr/lib/python3.7/site-packages/authselect/__pycache__/authcompat.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/authselect/__pycache__/authcompat.cpython-37.pyc
/usr/lib/python3.7/site-packages/authselect/__pycache__/authcompat_ConfigSnippet.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/authselect/__pycache__/authcompat_ConfigSnippet.cpython-37.pyc
/usr/lib/python3.7/site-packages/authselect/__pycache__/authcompat_EnvironmentFile.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/authselect/__pycache__/authcompat_EnvironmentFile.cpython-37.pyc
/usr/lib/python3.7/site-packages/authselect/__pycache__/authcompat_Options.cpython-37.opt-1.pyc
/usr/lib/python3.7/site-packages/authselect/__pycache__/authcompat_Options.cpython-37.pyc
/usr/lib/python3.7/site-packages/authselect/snippets/authconfig-krb.conf
/usr/lib/python3.7/site-packages/authselect/snippets/authconfig-sssd.conf
/usr/sbin/authconfig

Changelog

2018-09-27 - Pavel Březina <pbrezina@redhat.com> - 1.0.1-2
- Require systemd instead of systemctl
2018-09-27 - Pavel Březina <pbrezina@redhat.com> - 1.0.1-1
- Rebase to 1.0.1
2018-09-14 - Pavel Březina <pbrezina@redhat.com> - 1.0-3
- Scriptlets should no produce any error messages (RHBZ #1622272)
- Provide fix for pwquality configuration (RHBZ #1618865)
2018-08-30 - Adam Williamson <awilliam@redhat.com> - 1.0-2
- Backport PR #78 to fix broken pwquality config (RHBZ #1618865)
2018-08-13 - Pavel Březina <pbrezina@redhat.com> - 1.0-1
- Rebase to 1.0
2018-07-12 - Fedora Release Engineering <releng@fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
2018-06-19 - Miro Hrončok <mhroncok@redhat.com> - 0.4-4
- Rebuilt for Python 3.7
2018-05-14 - Pavel Březina <pbrezina@redhat.com> - 0.4-3
- Disable sssd as sudo rules source with sssd profile by default (RHBZ #1573403)
2018-04-25 - Christian Heimes <cheimes@redhat.com> - 0.4-2
- Don't disable oddjobd.service (RHBZ #1571844)
2018-04-09 - Pavel Březina <pbrezina@redhat.com> - 0.4-1
- rebasing to 0.4

See Also

Package Description
authselect-devel-1.0.1-2.fc29.i686.rpm Development libraries and headers for authselect
authselect-libs-1.0.1-2.fc29.i686.rpm Utility library used by the authselect tool
auto-1.3-3.fc29.noarch.rpm A collection of source code generators for Java
auto-buildrequires-1.2-7.fc29.i686.rpm Work out BuildRequires for rpmbuild automatically
auto-common-1.3-3.fc29.noarch.rpm Auto Common Utilities
auto-destdir-1.11-14.fc29.noarch.rpm Automate DESTDIR support for "make install"
auto-factory-1.3-3.fc29.noarch.rpm JSR-330-compatible factories
auto-javadoc-1.3-3.fc29.noarch.rpm Javadoc for auto
auto-service-1.3-3.fc29.noarch.rpm Provider-configuration files for ServiceLoader
auto-value-1.3-3.fc29.noarch.rpm Auto Value
autoarchive-1.3.0-6.fc29.noarch.rpm A simple backup tool that uses tar
autocloud-backend-0.8.0-5.fc29.noarch.rpm Autocloud backend
autocloud-common-0.8.0-5.fc29.noarch.rpm Autocloud common library
autocloud-web-0.8.0-5.fc29.noarch.rpm A REST API server on top of statscache
autoconf-2.69-28.fc29.noarch.rpm A GNU tool for automatically configuring source code
Advertisement
Advertisement